/********************************************************************************************

 Author : John Carlo C. Naoz, Dondon Bagasbas, Gabby Peones
 Program Name : FINDING THE VOLUME OF THE CONE
 Date : September 15, 2015

 OBJECTIVES : To make a program that finds the volume of the cone
 			  To make a program that compute for a cone
 			  To teach user how to compute the volume of the cone manually
			  To determine if the students learn in programming by using C Codes properly
********************************************************************************************/
#include<stdio.h>
#include<math.h>
#define p printf
#define s scanf


int main()
{
	float volume, pi=3.1416, radius, height, r2, product;
	float surface_area;
    float side_length, outer_area, base_area;
	int option;

	/* Display the title of the program */

	p("\n\n");
	p("\t []      []  []|[]  []     []    [] [][]  [][] [][][][]           \n");
	p("\t  []    []  []   [] []     []    [] [] [][] [] []                 \n");
	p("\t   []  []   []   [] []     []    [] []  []  [] [][][]             \n");
	p("\t    [][]    []   [] []     []    [] []  []  [] []                 \n");
	p("\t     []      []|[]  [][][]  []||[]  []      [] [][][][]           \n\n");

	p(" []|[]  [][][][]         [|]          |[][][]  []|[]  []|     [] [][][][]     \n");
	p("[]   [] []              [] []        []       []   [] [] []   [] []           \n");
	p("[]   [] [][][]         []   []       []       []   [] []  []  [] [][][]      \n");
	p("[]   [] []            [][]|[][]      []       []   [] []   [] [] []           \n");
	p(" []|[]  []           []       []      |[][][]  []|[]  []     |[] [][][][]      \n\n\n");


	p("\t\tDeveloped by: TEAM WOLFSBANE \2\n\n\n\n\n");

	system("pause");
		do{
			/* Display the MENU */
		
			menu:
			system("cls");

		
			p("\n\n\n\n\n\t\t\tOPTIONS : \n\n");
			p("\t\t\tEnter a Number of choice:\n");
			p("\n\t\t\t1 = Compute for the Volume of the Cone.\n");
			p("\t\t\t2 = Other Properties For Cone.\n");
			p("\t\t\t3 = About The Program.\n");
			p("\t\t\t0 = Exit.\n\n\n");
			p("\n\t\t\t\tChoose your option : ");
			s("%d",&option);

			
			system("cls");

			if(option==1){
					system("cls");
					
					p("\n\n\n\n\n");
					p("\t\t=============================================\n");
					p("\t\t\tVOLUME OF A CONE\n\n");
 					p("\n\t\t\tEnter the radius of the cone: ");
 						s("%f", &radius);
 					p("\n\t\t\tEnter the height of the cone: ");
						s("%f", &height);
					p("\n\n\n");
					p("\t\t=============================================\n");
					
							r2= radius * radius;
							product = pi * r2 * height;
							volume = (pi*(radius * radius)*height)/3;

					p("\n\t GIVEN:\n");
					p("\n\t Radius = %.2f\n",radius);
					p("\t Height = %.2f\n",height);
					p("\t pi     = 3.1416\n\n",radius);



					p("\n\t FORMULA: \n");
					p("\n\t Volume  = (pi x r^2 x height)/3 \n");

					p("\n\t\t = (3.1416)(%.2f x %.2f)(%.2f)/3\n",radius, radius, height);
					p("\n\t\t = (3.1416) x (%.2f) x (%.2f)/3\n",r2, height);
					p("\n\t\t = %.2f / 3\n",product);



					p("\n\n\t=================================================\n");
					p("\n\t\t The volume of the cone is %.4f \n\n",volume);
					p("\t=================================================\n\n");
					
					system("pause");
					system("cls");
					
					/* Graphical illustration of the cone */
					
					p("\n\n\n\n");
					p("\t\t                    ^					\n");
					p("\t\t                   *|*					\n ");
					p("\t\t                  * | *					\n ");
					p("\t\t                 *  |  *		h = %.2f\n ",height);
					p("\t\t                *   |   *		r = %.2f\n ",radius);
					p("\t\t               *    h    *		V = %.2f	\n ",volume);
					p("\t\t              *     |     *				\n ");
					p("\t\t             *      |      *				\n ");
					p("\t\t            *       |       *			\n ");
					p("\t\t           *        |        *			\n ");
					p("\t\t          *         L----r----*			\n ");
					p("\t\t           *                 *   		\n ");
					p("\t\t             * * * * * * * *      		\n\n\n\n\n\n");	

 					system("pause");
 					system("cls");
 					
					goto menu;
 			
 			
			 }else if(option==2){
			 	
					system("cls");  /* Clears the screen before executing the Statement */
					
				 	p("\n\n\n\n\n\n");
				 	
				 	p("\t\t=============================================\n");
					p("\t\tEnter value of radius of the cone :\t ");
    					s("%f",&radius);
    				p("\n\n\t\tEnter value of height of the cone :\t ");
    					s("%f",&height);
    				p("\t\t=============================================\n");
							
							/* Formulas for the properties of the cone */
							
    						side_length = sqrt((height*height)+(radius*radius));
    						surface_area = pi * radius * (radius + (sqrt((radius * radius) + (height * height))));
    						volume = (0.3333) * pi * (radius * radius)* height;
    						outer_area = radius * pi * side_length;
    						base_area = (radius*radius)*pi;
    						
    				system("cls");
    				
    				p("\n\n==========================================================");
    				p("\nBase Area of the cone is: \nG = (%.2f * %.2f ) * %.4f = %.2f",radius,radius,pi,base_area);		
    				p("\n\nOuter Area of the cone is: \nM = %.2f * %.2f * %.2f = %.3f",radius,pi,side_length,outer_area);
    				p("\n\nSide Length of the cone is: \ns = sqrt(( %.2f * %.2f ) + ( %.2f * %.2f )) = %.3f:",height,height,radius,radius,side_length);
   					p("\n\nSurface Area of cone is: \nA = %.4f * %.2f * (%.2f + sqrt((%.2f * %.2f) + (%.2f *%.2f))) = %.3f",pi,radius,radius,radius,radius,height,height,surface_area);
     				p("\n\nVolume of cone is : \nV = ( %.2f *(%.2f * %.2f)* %.2f) / 3 = %.3f\n\n\n\n\n",pi,radius,radius,height, volume);
     			 	p("==============================================================\n");
     			 	
				  	system("pause");
					system("cls");
					
					/* Graphical illustration of the cone */
					
					p("\n\n");
					p("\t\t                   /^					\n");
					p("\t\t                  /*|*					\n ");
					p("\t\t                 /* | *					\n ");
					p("\t\t                /*  |  *		h = %.2f\n ",height);
					p("\t\t             s /*   |   *		r = %.2f\n ",radius);
					p("\t\t              /*    h    *		V = %.2f\n ",volume);
					p("\t\t             /*     |     * M		M = %.2f\n ",outer_area);
					p("\t\t            /*      |      *		A = %.2f\n ",surface_area);
					p("\t\t           /*    A  |  V    *		G = %.2f\n ",base_area);
					p("\t\t          /*        |        *		s = %.2f\n ",side_length);
					p("\t\t         /*         *----r----*			\n ");
					p("\t\t         | *                 *|   		\n ");
					p("\t\t         |   * * * * * * * *  |    		\n");	
					p("\t\t         |__________G_________|      		\n");	
					p("\n\t\t\t=========================================\n");	
					p("\t\t\t* Where:h = Height \t r = Radius     *\n");	
					p("\t\t\t* \tV = Volume \t M = Outer Area *\n");	
					p("\t\t\t* \tA = Surface Area G = Base Area  *\n");	
					p("\t\t\t* \ts = Side Length                 *\n");
					p("\t\t\t=========================================\n");
					
					system("pause");
 					system("cls");
     			 
 					goto menu;
 					
 				
			}else if(option==3){
				
					system("cls");
					
					p("\n\n\t=============================================================\n");
					p("\t\tDeveloped by: TEAM WOLFSBANE)\n\n");
					p("\n\t\tPROGRAMMERS : GROUP 9\n\n ");
					p("\t\t\t\2 John Carlo C. Naoz, \n\t\t\t\2 Dondon Bagasbas, \n\t\t\t\2 Gabby Peones\n\n");
					p("\t\tPROGRAM NAME : \n\t\t\tVOLUME OF A CONE\n\n");
					p("\t\tPROGRAMMING PROJECT :\n");
					p("\n\t\t\t   BSIT-1A\n");
					p(" \t\t\tS/Y 2015-2016\n");
					p("\t=============================================================\n\n\n\n\n");
			
					system("pause");
					goto menu;
					
			}else if(option==0){			

				p("\n\n");
				
				p("[][][][]  []    []      [|]       [][]    []  []   []   [][][]   \n");
				p("   []     []    []     []  []     [] []   []  [] []    ((        \n");
				p("   []     [][][][]    []    []    []  []  []  [][]       [][][]  \n");
				p("   []     []    []   [][]||[][]   []   [] []  []  []          )) \n");
				p("   []     []    []  []        []  []    [][]  []    []  [][][]   \n\n");


				p("\t[][]|[] [][][][] [][][][]  \n");
				p("\t[]      []    [] []   []   \n");
				p("\t[][][]  []    [] [][][]    \n");
				p("\t[]      []    [] []    []   \n");
				p("\t[]      [][][][] []     [] \n\n");


				p("\t\t[]    [] [][][] [][][][] [][]    [] [][][][]    [] [] []\n");
				p("\t\t[]    [] ((        []    [] []   [] []          [] [] []\n");
				p("\t\t[]    []  [][]     []    []  []  [] []  [][]    [] [] []\n");
				p("\t\t[]    []     ))    []    []   [] [] []    []           \n");
				p("\t\t[][][][] [][][] [][][][] []    [][] [][][][]    [] [] []\n\n");

				system("pause");
				system("cls");

				p("\n\n\n\n\n\t=============================================================\n");
				p("\n\t\t\tPROGRAM DEVELOPED BY : GROUP 9\n");
				p("\n\t\t\tPROGRAM TITLE : VOLUME OF A CONE\n");
				p("\t\t\tPROGRAMMING PROJECT :\n");
				p("\n\t\t\t\tBSIT-1A");
				p("\n\t\t\t     S/Y 2015-2016 \n\n");
				p("\t\t    Camarines Sur Polytechnic Colleges\n\n");
				p("\t=============================================================\n\n\n\n\n");
				
				return 0;
				
			}else;
				p("\n\n\n\n\n\n");
				p("\t\t\t[][][] [][][] [][][] [][][] [][][]\n");
				p("\t\t\t[]     []  [] []  [] []  [] []  []\n");
				p("\t\t\t[][][] [][][] [][][] []  [] [][][]\n");
				p("\t\t\t[]     [] []  [] []  []  [] [] []\n");
				p("\t\t\t[][][] []  [] []  [] [][][] []  []\n\n");
				
				p("\t\t\tPlease input a valid number.\n");
				p("\t\t\tPress any key to go back to the Menu.\n\n\n\n\n\n\n");
				
				system("pause");
				goto menu;
			
		}while(option !=0);

			system("pause");
			return 0;


 

}

